Subject: Re: bug#43252: 27.1; DBus properties lack type hints or overrides

From: Hugh Daschbach <[email-masked]>
Date: Mon, 14 Sep 2020 21:05:55 -0700

Michael Albinus writes:

>> It isn't clear that there's a commitment to support such a data
>> structure.  The DBus info page says "Every dictionary entry has 
>> a
>> string as a key".
>
> Looks like this has been extended to "Every dictionary entry has 
> a
> basic type as a key".
>
> Anyway, my today's commits shall support now all compound types 
> for properties.

Excellent.  Will try to submit tests for them.

> Maybe one could run two processes in parallel to the tests:
>
> --8<---------------cut 
> here---------------start------------->8---
> dbus-monitor --session "sender=org.gnu.Emacs.TestDBus"
>
> dbus-monitor --session "destination=org.gnu.Emacs.TestDBus"
> --8<---------------cut 
> here---------------end--------------->8---
>
> It shall be possible to analyze their structured output.

That idea has taken root.  It'll take me a few days to put 
together
reviewable code.  But I've got a good start.

Paperwork arrived today.  Signed and submitted.  I expect it'll 
take a
bit longer before it's administratively complete.

More when I have some signature analysis code for your review. 
It's
complicated enough to deserve its own tests.

Cheers,
Hugh